/* Effects */

.hidden {
    display:none !important;
}

.glow {
    box-shadow: 0 0 20px yellow;
}

html {
    color-scheme: dark;
}

/*Tab content */

.tab-content {
    display: none;
}

.tabs button{
    background-color:#00981483;
    color:white;
    padding: 20px;
    font-size:20px;
    margin: 10px;
    font-family:'Times New Roman';

}

.tabs button:hover{
    background-color:#003106;
}

.tabs {
    display: flex;
    background-color: rgb(29, 29, 29);
    width: 75%;
    height: 100px;
    overflow: hidden;
}

.selectedTab {
    border: 5px solid yellow;
}

/* Change log embed*/
#changelog {
    width: 50%;
    height: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: fixed;
    z-index: 12;
    background-color: black;

}

#googleFeedback {
    width: 60%;
    height: 80%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: fixed;
    z-index: 12;

}

#gameInfo {
    width: 80%;
    height: 75%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: fixed;
    z-index: 11;
    background-color: black;
    overflow: scroll;
    border: 2px solid grey;
    font-family: monospace;
    font-size: 16px;
}

dt {
    margin: 10px
}
/* Buttons inside tabs*/

.anyButton {
    background-color:#0f4e77;
    color:rgb(0, 0, 0);
    padding: 15px;
    font-size: 100%;
    font-family:'Times New Roman';
}

.anyButton:hover{
    background-color:#1b4057;
    padding: 17px;

}

#savingnotif {
    font-size:40px;
    color: rgb(0,0,0);
    background-color: grey;
    position: absolute;
    bottom: 20px;
    right: 20px;
    margin: 5px;
    position: fixed;
    border: 2px solid #414141;
}

#the-pit {
    background-color:#37004b;
    color:rgb(241, 255, 135);
    padding: 20px;
    border: 20px;
    font-size: 25px;
    font-family:'georgia';
    display:flex;
    margin: 20px;
}
/* Story box */

#Story {
    position: fixed;
    top: 25px;
    right: 2%; 
    background: #2d2d2d;
    padding: 10px;
    width: 20%;
    height: 50%;
    overflow: scroll;
    border: 2px solid #000000;
    z-index: 7;
    resize: both;

}

#storyTitle {
    font-size: 30px;
    font-family: "georgia";
    z-index: 8;
}

/* Progress bars */
.progress-container {
    width: 350px;
    background-color: #7b7b7b;
    height: 40px;
    margin: 10px 0;
    align-items: center;
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.progress-bar {
    height: 100%;
    width: 0%;
    background-color: #274c29;
    transition:all;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

.progress-text {
    font-weight: bold;
    pointer-events: none;
    text-align: center;
    width: 100%;
    position: relative;
    z-index: 2;
    color: black;
}

/* Sections */
.section-title {
    grid-column: span 2;
    margin-top: 20px;
    align-items: center;
    padding: 20px;
    margin: 10px;
    display: none;
}

.skill-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 10px;
}

.skill-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
    width: 100%;
}

#healthheader {
    background-color: rgb(22, 63, 27);
}

#magicheader {
    background-color: rgb(38, 43, 79);
}

#naheader {
    background-color: rgb(82, 82, 82);
}

/* Death Screen */
#youDied {
    position: absolute;
    font-weight: bold;
    font-size: 160px;
    z-index:21;
    color:red;
    top: 0%;
    left: 50%;
    transform: translate(-50%, 0%)
}

#hideDeath {
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: 20;
    background:rgb(241, 241, 241);
    top: 0%;
    left: 0%;
}

#tryAgain {
    position: absolute;
    z-index: 21;
    top: 60%;
    left: 50%;
    background-color:red;
    color:rgb(0, 0, 0);
    padding: 10px;
    font-size: 25px;
    width: 200px;
    height: 100px;
    font-family:'Times New Roman';
    transform: translate(-50%, -50%);
}
/* In tabs buttons */
.displayVariables {
    color: rgb(20, 128, 20);
}

#box {
    padding: 20px;
    margin: 10px;
    display: flex;
    background-color: rgb(48, 48, 48);
    width: fit-content;
}

.energybtn {
    background-color:#3e4a5c;
    color:rgb(0, 0, 0);
    padding: 10px;
    border: 20px;
    font-size: 100%;
    font-family:'georgia';
}

.tech {
    background-color:#7d848f;
    border: none;
    color:rgb(0, 0, 0);
    padding: 10px;
    font-size: 100%;
    font-family:'georgia';
}

.upgrade {
    background-color:#6a5409;
    color:rgb(0, 0, 0);
    padding: 10px;
    border: 20px;
    font-size: 100%;
    font-family:'georgia';
    display:flex;
    margin: 10px;
}

.potionbtn {
    background-color:#a101b2;
    color:rgb(0, 0, 0);
    padding: 10px;
    border: 5px solid rgb(91, 24, 207);
    font-size: 15px;
    font-family:'georgia';
    margin: 10px;
    display: block;
}

.potionsContainer {
    display: flex;
}